Bug 645801 - Review Request: erlang-gettext - Erlang internationalization library
Summary: Review Request: erlang-gettext - Erlang internationalization library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-22 13:54 UTC by Peter Lemenkov
Modified: 2010-11-16 17:31 UTC (History)
3 users (show)

Fixed In Version: erlang-gettext-2.1.0-0.2.20101022gitb55cb72.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-08 22:33:21 UTC
Type: ---
tim: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-10-22 13:54:04 UTC
Spec URL: http://peter.fedorapeople.org/erlang-gettext.spec
SRPM URL: http://peter.fedorapeople.org/erlang-gettext-2.1.0-0.1.20101022gitb55cb72.fc12.src.rpm
Description: Erlang internationalization library

Koji scratchbuilds:

F-14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2548678
EL-5: http://koji.fedoraproject.org/koji/taskinfo?taskID=2548688

rpmlint:
sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-gettext-2.1.0-0.1.20101022gitb55cb72.fc12.ppc.rpm 
erlang-gettext.ppc: E: no-binary
erlang-gettext.ppc: W: only-non-binary-in-usr-lib
erlang-gettext.ppc: W: file-not-utf8 /usr/share/doc/erlang-gettext-2.1.0/LICENSE
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
sulaco ~/rpmbuild/SPECS: 

The first two messages are common to Erlang-related apps. They mean that we're trying to install arch-independent data into arch-dependent directory. Unfortunately that's how Erlang packages should be installed.

The last message means that I added license text as is, s/o touching/editing it. I believe that it's a bad idea to change upstream-supplied licensing data.

Comment 1 Tim Niemueller 2010-10-27 23:00:49 UTC
I'll review this.

Comment 3 Tim Niemueller 2010-10-29 03:31:28 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent, but messages are false positives/warnings:
  - Additionally I get: erlang-gettext.src: W: invalid-url Source0: etnt-gettext-b55cb72.tar.gz
I suggest appending writing the URL given in the comment in the front,
github will still deliver the right package. This is not required though.
  - License file problem is reasonably explained. I suggest considering a iconv
run and/or reporting this issue upstream, maybe they are willing to include an
UTF-8 version in the next release.
  - only-non-binary-in-usr-lib: general Erlang packaging problem which cannot
be avoided in the package

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

downloaded# sha256sum ~/Downloads/etnt-gettext-b55cb72.tar.gz 
7fd314343d274b018d356d59664a4b343334c557f70368716bc7cf53fe60b9e5  ~/Downloads/etnt-gettext-b55cb72.tar.gz
package# sha256sum ~/rpmbuild/SOURCES/etnt-gettext-b55cb72.tar.gz 
7fd314343d274b018d356d59664a4b343334c557f70368716bc7cf53fe60b9e5  /home/tim/rpmbuild/SOURCES/etnt-gettext-b55cb72.tar.gz

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Looks all good to me. Nice job.

APPROVED

Comment 4 Peter Lemenkov 2010-10-29 05:30:53 UTC
New Package SCM Request
=======================
Package Name: erlang-gettext
Short Description: Erlang internationalization library
Owners: peter
Branches: f12 f13 f14 el5 el6
InitialCC:

Comment 5 Kevin Fenzi 2010-10-30 23:27:14 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-31 05:07:04 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc14

Comment 7 Fedora Update System 2010-10-31 05:07:11 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc12

Comment 8 Fedora Update System 2010-10-31 05:07:17 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc13

Comment 9 Fedora Update System 2010-10-31 05:07:23 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-gettext-2.1.0-0.2.20101022gitb55cb72.el5

Comment 10 Fedora Update System 2010-10-31 21:30:01 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-gettext'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc13

Comment 11 Fedora Update System 2010-11-08 22:33:15 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-08 22:39:50 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-08 22:43:55 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-16 17:31:20 UTC
erlang-gettext-2.1.0-0.2.20101022gitb55cb72.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.